.layout {
  padding: 2rem;
}

.grid_container {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 1.5rem;

  @media (max-width: 1700px) {
    grid-template-columns: repeat(6, 1fr);
  }
  @media (max-width: 1500px) {
    grid-template-columns: repeat(5, 1fr);
  }
  @media (max-width: 1265px) {
    grid-template-columns: repeat(4, 1fr);
  }
  @media (max-width: 1020px) {
    grid-template-columns: repeat(3, 1fr);
  }
  @media (max-width: 770px) {
    grid-template-columns: repeat(2, 1fr);
  }
  @media (max-width: 510px) {
    grid-template-columns: repeat(1, 1fr);
  }
}

.card {
  width: 100%;
  height: 100%;
  border-radius: 0.5rem;
}

.movie_container {
  position: relative;
  display: inline-block;
  margin: 0.5rem;
  cursor: pointer;
  border-radius: 0.7rem;

  .image {
    border-radius: 0.6rem;
  }

  &:hover {
    .overlay {
      opacity: 1;
    }
    .info {
      opacity: 1;
      transform: translateY(-50%);
    }
  }
  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: opacity 0.3s ease;
  }
  .info {
    position: absolute;
    bottom: 0;
    right: 0.2rem;
    color: white;
    opacity: 0;
    transform: translateY(100%);
    transition: opacity 0.3s ease, transform 0.3s ease;
  }
}
